org.kie.api.command

## Interface KieCommands

-     public interface KieCommands

  KieCommands is a factory for Commands that can be used by classes that implement CommandExecutor. Typically more than one Command will want to be executed, where is where the BatchExecution comes in, which takes a List of commands, think of it as CompositeCommand.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Command<FactHandle>` | `fromExternalFactHandleCommand(String factHandleExternalForm)`
    `Command<FactHandle>` | `fromExternalFactHandleCommand(String factHandleExternalForm, boolean disconnected)`
    `Command` | `newAbortWorkItem(long workItemId)`
    `Command` | `newAgendaGroupSetFocus(String name)`
    `BatchExecutionCommand` | `newBatchExecution(List<? extends Command> commands)`
    `BatchExecutionCommand` | `newBatchExecution(List<? extends Command> commands, String lookup)`
    `Command` | `newCompleteWorkItem(long workItemId, Map<String,Object> results)`
    `Command` | `newDelete(FactHandle factHandle)`
    `Command` | `newDeleteObject(Object object, String entryPoint)`
    `Command` | `newFireAllRules()`
    `Command` | `newFireAllRules(int max)`
    `Command` | `newFireAllRules(String outidentifier)`
    `Command` | `newGetFactHandle(Object object)`
    `Command` | `newGetFactHandleInEntryPoint(Object object, String entryPoint)`
    `Command` | `newGetGlobal(String identifier)`
    `Command` | `newGetGlobal(String identifier, String outIdentifier)`
    `Command` | `newGetObject(FactHandle factHandle)`
    `Command` | `newGetObject(FactHandle factHandle, String outIdentifier)`
    `Command` | `newGetObjects()`
    `Command` | `newGetObjects(ObjectFilter filter)`
    `Command` | `newGetObjects(ObjectFilter filter, String outIdentifier)`
    `Command` | `newGetObjects(String outIdentifier)`
    `Command` | `newInsert(Object object)`
    `Command` | `newInsert(Object object, String outIdentifier)`
    `Command` | `newInsert(Object object, String outIdentifier, boolean returnObject, String entryPoint)`
    `Command` | `newInsertElements(Iterable objects)`
    `Command` | `newInsertElements(Iterable objects, String outIdentifier)`
    `Command` | `newInsertElements(Iterable objects, String outIdentifier, boolean returnObject, String entryPoint)`
    `Command` | `newModify(FactHandle factHandle, List<Setter> setters)`
    `Command` | `newQuery(String identifier, String name)`
    `Command` | `newQuery(String identifier, String name, Object[] arguments)`
    `Command` | `newRegisterWorkItemHandlerCommand(WorkItemHandler handler, String workItemName)`
    `Command` | `newSetGlobal(String identifie, Object object)`
    `Command` | `newSetGlobal(String identifier, Object object, boolean out)`
    `Command` | `newSetGlobal(String identifier, Object object, String outIdentifier)`
    `Setter` | `newSetter(String accessor, String value)`
    `Command` | `newSignalEvent(long processInstanceId, String type, Object event)`
    `Command` | `newSignalEvent(String type, Object event)`
    `Command` | `newStartProcess(String processId)`
    `Command` | `newStartProcess(String processId, Map<String,Object> parameters)`

- - ### Method Detail

    - #### newInsert

          Command newInsert(Object object)

    - #### newInsert

          Command newInsert(Object object,
                          String outIdentifier)

    - #### newInsert

          Command newInsert(Object object,
                          String outIdentifier,
                          boolean returnObject,
                          String entryPoint)

    - #### newInsertElements

          Command newInsertElements(Iterable objects)

    - #### newInsertElements

          Command newInsertElements(Iterable objects,
                                  String outIdentifier)

    - #### newInsertElements

          Command newInsertElements(Iterable objects,
                                  String outIdentifier,
                                  boolean returnObject,
                                  String entryPoint)

    - #### newDelete

          Command newDelete(FactHandle factHandle)

    - #### newDeleteObject

          Command newDeleteObject(Object object,
                                String entryPoint)

    - #### newSetter

          Setter newSetter(String accessor,
                         String value)

    - #### newModify

          Command newModify(FactHandle factHandle,
                          List<Setter> setters)

    - #### newFireAllRules

          Command newFireAllRules()

    - #### newFireAllRules

          Command newFireAllRules(int max)

    - #### newFireAllRules

          Command newFireAllRules(String outidentifier)

    - #### newGetFactHandle

          Command newGetFactHandle(Object object)

    - #### newGetFactHandleInEntryPoint

          Command newGetFactHandleInEntryPoint(Object object,
                                             String entryPoint)

    - #### newGetObject

          Command newGetObject(FactHandle factHandle)

    - #### newGetObject

          Command newGetObject(FactHandle factHandle,
                             String outIdentifier)

    - #### newGetObjects

          Command newGetObjects()

    - #### newGetObjects

          Command newGetObjects(String outIdentifier)

    - #### newGetObjects

          Command newGetObjects(ObjectFilter filter)

    - #### newGetObjects

          Command newGetObjects(ObjectFilter filter,
                              String outIdentifier)

    - #### newSetGlobal

          Command newSetGlobal(String identifie,
                             Object object)

    - #### newSetGlobal

          Command newSetGlobal(String identifier,
                             Object object,
                             boolean out)

    - #### newSetGlobal

          Command newSetGlobal(String identifier,
                             Object object,
                             String outIdentifier)

    - #### newGetGlobal

          Command newGetGlobal(String identifier)

    - #### newGetGlobal

          Command newGetGlobal(String identifier,
                             String outIdentifier)

    - #### newStartProcess

          Command newStartProcess(String processId)

    - #### newStartProcess

          Command newStartProcess(String processId,
                                Map<String,Object> parameters)

    - #### newSignalEvent

          Command newSignalEvent(String type,
                               Object event)

    - #### newSignalEvent

          Command newSignalEvent(long processInstanceId,
                               String type,
                               Object event)

    - #### newQuery

          Command newQuery(String identifier,
                         String name)

    - #### newQuery

          Command newQuery(String identifier,
                         String name,
                         Object[] arguments)

    - #### newBatchExecution

          BatchExecutionCommand newBatchExecution(List<? extends Command> commands)

    - #### newBatchExecution

          BatchExecutionCommand newBatchExecution(List<? extends Command> commands,
                                                String lookup)

    - #### newRegisterWorkItemHandlerCommand

          Command newRegisterWorkItemHandlerCommand(WorkItemHandler handler,
                                                  String workItemName)

    - #### newAbortWorkItem

          Command newAbortWorkItem(long workItemId)

    - #### newCompleteWorkItem

          Command newCompleteWorkItem(long workItemId,
                                    Map<String,Object> results)

    - #### fromExternalFactHandleCommand

          Command<FactHandle> fromExternalFactHandleCommand(String factHandleExternalForm)

    - #### fromExternalFactHandleCommand

          Command<FactHandle> fromExternalFactHandleCommand(String factHandleExternalForm,
                                                          boolean disconnected)

    - #### newAgendaGroupSetFocus

          Command newAgendaGroupSetFocus(String name)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.